Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.TextState Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (version, font, font_size, charspace, wordspace, textmode, origin_position, textmatrix[])
| Constructor, with parameters. More...
| Set (version, font, font_size, charspace, wordspace, textmode, origin_position, textmatrix[])
| Set value. More...

## Public Attributes
textmatrix | __pad0__: number[]
| Text transformation matrix. More...
| charspace
| Character spacing. More...
| font
| A font object. More...
| font_horizontal_size
| Font horizontal size in device units (read-only). If valid, it would be above 0. More...
| font_size
| The font size in "Tf". If valid, it should be above 0. More...
| font_vertical_size
| Font vertical size in device units (read-only). If valid, it would be above 0. More...
| origin_position
| The origin point, in PDF coordinate system. More...
| textmode
| Text rendering mode. Please refer to values starting from FSDK.TextState.e_ModeFill and this should be one of these values. More...
| version
| Version of this class. More...
| wordspace
| Word spacing (only apply to space character). More...

## Static Public Attributes
static | e_ModeClip
| Text mode: add text to path for clipping.
static | e_ModeFill
| Enumeration for text mode. More...
static | e_ModeFillClip
| Text mode: fill text and add to path for clipping.
static | e_ModeFillStroke
| Text mode: fill and stroke text.
static | e_ModeFillStrokeClip
| Text mode: fill and stroke text, and add to path for clipping.
static | e_ModeInvisible
| Text mode: neither fill nor stroke text, to make it invisible.
static | e_ModeStroke
| Text mode: stroke text.
static | e_ModeStrokeClip
| Text mode: stroke text and add to path for clipping.

## Detailed Description

This class represents an array of FSDK.GraphicsObject objects. This class represents PDF text state.

## Member Function Documentation

## ◆ constructor()

FSDK.TextState.constructor | ( | version | ,
|  | font | ,
|  | font_size | ,
|  | charspace | ,
|  | wordspace | ,
|  | textmode | ,
|  | origin_position | ,
|  | textmatrix | []
| ) |  |

Constructor, with parameters.

Parameters

  [in] | version | Version of this structure, which is used to decide which members are useful. Currently, only 1 is valid.
  [in] | font | (Version 1) A valid font object.
  [in] | font_size | (Version 1) The font size in "Tf", It should be above 0.
  [in] | charspace | (Version 1) Character spacing.
  [in] | wordspace | (Version 1) Word spacing (only apply to space character).
  [in] | textmode | (Version 1) Text rendering mode. Please refer to values starting from FSDK.TextState.e_ModeFill and this should be one of these values.
  [in] | origin_position | (Version 1) The origin point, in PDF coordinate system.
  [in] | textmatrix | (Version 1) Text transformation matrix. This is an array of four numbers.

Returns
  None.

## ◆ Set()

FSDK.TextState.Set | ( | version | ,
|  | font | ,
|  | font_size | ,
|  | charspace | ,
|  | wordspace | ,
|  | textmode | ,
|  | origin_position | ,
|  | textmatrix | []
| ) |  |

Set value.

Parameters

  [in] | version | Version of this structure, which is used to decide which members are useful. Currently, only 1 is valid.
  [in] | font | (Version 1) A valid font object.
  [in] | font_size | (Version 1) The font size in "Tf". It should be above 0.
  [in] | charspace | (Version 1) Character spacing.
  [in] | wordspace | (Version 1) Word spacing (only apply to space character).
  [in] | textmode | (Version 1) Text rendering mode. Please refer to values starting from FSDK.TextState.e_ModeFill and this should be one of these values.
  [in] | origin_position | (Version 1) The origin point, in PDF coordinate system.
  [in] | textmatrix | (Version 1) Text transformation matrix. This is an array of four numbers.

Returns
  None.

## Member Data Documentation

## ◆ __pad0__

textmatrix FSDK.TextState.__pad0__

Text transformation matrix.

Version
  1

This is an array of four numbers. The first number is the input coefficient a, the second number is the input coefficient b, the third number is the input coefficient c, the forth number is the input coefficient d.

## ◆ charspace

FSDK.TextState.charspace

Character spacing.

Version
  1

For horizontal writing, a positive value has the effect of expanding the distance between glyphs, whereas for vertical writing, a negative value has this effect.

## ◆ e_ModeFill

FSDK.TextState.e_ModeFill
| static

Enumeration for text mode.

Values of this enumeration should be used alone.

Text mode: fill text.

## ◆ font

FSDK.TextState.font

A font object.

Version
  1

## ◆ font_horizontal_size

FSDK.TextState.font_horizontal_size

Font horizontal size in device units (read-only). If valid, it would be above 0.

Version
  1

## ◆ font_size

FSDK.TextState.font_size

The font size in "Tf". If valid, it should be above 0.

Version
  1

## ◆ font_vertical_size

FSDK.TextState.font_vertical_size

Font vertical size in device units (read-only). If valid, it would be above 0.

Version
  1

## ◆ origin_position

FSDK.TextState.origin_position

The origin point, in PDF coordinate system.

Version
  1

## ◆ textmode

FSDK.TextState.textmode

Text rendering mode. Please refer to values starting from FSDK.TextState.e_ModeFill and this should be one of these values.

Version
  1

## ◆ version

FSDK.TextState.version

Version of this class.

Version
  1

Members of this class may be extended in the future. This version can be used to separate the different extended members.

## ◆ wordspace

FSDK.TextState.wordspace

Word spacing (only apply to space character).

Version
  1

For horizontal writing, a positive value has the effect of increasing the spacing between words. For vertical writing, a positive value decreases the spacing between words (and a negative value increases it), since vertical coordinates increase from bottom to top. This will not take effect if font of current object is an embedded font.